org.keycloak.keys

## Class AbstractEcdsaKeyProviderFactory

- java.lang.Object
- - org.keycloak.keys.AbstractEcdsaKeyProviderFactory

- All Implemented Interfaces:
    ComponentFactory, KeyProviderFactory, ConfiguredProvider, ProviderFactory
  Direct Known Subclasses:
    GeneratedEcdsaKeyProviderFactory

      public abstract class AbstractEcdsaKeyProviderFactory
      extends Object
      implements KeyProviderFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ECDSA_ELLIPTIC_CURVE_KEY`
    `protected static ProviderConfigProperty` | `ECDSA_ELLIPTIC_CURVE_PROPERTY`
    `protected static String` | `ECDSA_PRIVATE_KEY_KEY`
    `protected static String` | `ECDSA_PUBLIC_KEY_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEcdsaKeyProviderFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProviderConfigurationBuilder` | `configurationBuilder()`
    `static String` | `convertAlgorithmToECDomainParmNistRep(String algorithm)`
    `static String` | `convertECDomainParmNistRepToAlgorithm(String ecInNistRep)`
    `static String` | `convertECDomainParmNistRepToSecRep(String ecInNistRep)`
    `static KeyPair` | `generateEcdsaKeyPair(String keySpecName)`
    `void` | `validateConfiguration(KeycloakSession session, RealmModel realm, ComponentModel model)` Called before a component is created or updated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.keys.KeyProviderFactory

      `close, create, createFallbackKeys, init, postInit`

    - ### Methods inherited from interface org.keycloak.component.ComponentFactory

      `create, getCommonProviderConfigProperties, getTypeMetadata, onCreate, onUpdate, preRemove`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `getId, order`

    - ### Methods inherited from interface org.keycloak.provider.ConfiguredProvider

      `getConfigProperties, getHelpText`

- - ### Field Detail

    - #### ECDSA_PRIVATE_KEY_KEY

          protected static final String ECDSA_PRIVATE_KEY_KEY

      See Also:
        Constant Field Values

    - #### ECDSA_PUBLIC_KEY_KEY

          protected static final String ECDSA_PUBLIC_KEY_KEY

      See Also:
        Constant Field Values

    - #### ECDSA_ELLIPTIC_CURVE_KEY

          protected static final String ECDSA_ELLIPTIC_CURVE_KEY

      See Also:
        Constant Field Values

    - #### ECDSA_ELLIPTIC_CURVE_PROPERTY

          protected static ProviderConfigProperty ECDSA_ELLIPTIC_CURVE_PROPERTY

  - ### Constructor Detail

    - #### AbstractEcdsaKeyProviderFactory

          public AbstractEcdsaKeyProviderFactory()

  - ### Method Detail

    - #### configurationBuilder

          public static final ProviderConfigurationBuilder configurationBuilder()

    - #### validateConfiguration

          public void validateConfiguration(KeycloakSession session,
                                            RealmModel realm,
                                            ComponentModel model)
                                     throws ComponentValidationException

      Description copied from interface: `ComponentFactory`
      Called before a component is created or updated. Allows you to validate the configuration
      Specified by:
        `validateConfiguration` in interface `ComponentFactory`
      Throws:
        `ComponentValidationException`

    - #### generateEcdsaKeyPair

          public static KeyPair generateEcdsaKeyPair(String keySpecName)

    - #### convertECDomainParmNistRepToSecRep

          public static String convertECDomainParmNistRepToSecRep(String ecInNistRep)

    - #### convertECDomainParmNistRepToAlgorithm

          public static String convertECDomainParmNistRepToAlgorithm(String ecInNistRep)

    - #### convertAlgorithmToECDomainParmNistRep

          public static String convertAlgorithmToECDomainParmNistRep(String algorithm)

Copyright © 2021 JBoss by Red Hat. All rights reserved.